package com.wanyue.main.api.project;

import android.os.Parcel;
import android.os.Parcelable;
import com.alibaba.fastjson.JSONObject;
import com.wanyue.common.server.entity.Data;
import io.reactivex.Observable;

public  class ProjectDataProvider implements Parcelable {
    protected String mEmptyHint;

    public ProjectDataProvider(){

    }

    public Observable<Data<JSONObject>>getData(int p){
        return null;
    }

    protected ProjectDataProvider(Parcel in) {
        mEmptyHint = in.readString();
    }
    @Override
    public void writeToParcel(Parcel dest, int flags) {
         dest.writeString(mEmptyHint);
    }
    @Override
    public int describeContents() {
        return 0;
    }


    public static final Creator<ProjectDataProvider> CREATOR = new Creator<ProjectDataProvider>() {
        @Override
        public ProjectDataProvider createFromParcel(Parcel in) {
            return new ProjectDataProvider(in);
        }

        @Override
        public ProjectDataProvider[] newArray(int size) {
            return new ProjectDataProvider[size];
        }
    };


    public String getEmptyHint() {
        return mEmptyHint;
    }
    public void setEmptyHint(String emptyHint) {
        mEmptyHint = emptyHint;
    }
}
